Bug 797706 - Review Request: ghc-aeson - Fast JSON parsing and encoding
Review Request: ghc-aeson - Fast JSON parsing and encoding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-26 23:16 EST by Jens Petersen
Modified: 2012-04-11 23:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-aeson-0.6.0.0-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-02-26 23:16:40 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-aeson/ghc-aeson.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-aeson/ghc-aeson-0.6.0.0-1.fc16.src.rpm
Description: 
A JSON parsing and encoding library optimized for ease of use and\
high performance.

Aeson was the father of Jason in Greek mythology. :)

http://koji.fedoraproject.org/koji/taskinfo?taskID=3821128

aeson has over 50 reverse dependencies in hackage:
http://hackage.factisresearch.com/package/aeson/reverse
including snap and yesod-core.
Comment 1 Jens Petersen 2012-02-26 23:21:36 EST
(Note the latest release requires newer text lib than in current F16 and earlier.
aeson-0.4.0.1 should build on such older haskell-platform's.)
Comment 2 Jens Petersen 2012-02-27 00:51:18 EST
(In reply to comment #1)
> aeson-0.4.0.1 should build on such older haskell-platform's.)

(Hm, that is slightly optimistic since it would need blaze-textual.)
Comment 3 Shakthi Kannan 2012-03-13 01:36:35 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[-]: MUST Package contains no static executables.
[-]: MUST Rpath absent or only used for internal libs.
[-]: MUST Package is not relocatable.
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: ghc-aeson-0.6.0.0-1.fc18.i686.rpm :
     /usr/lib/ghc-7.0.4/aeson-0.6.0.0/libHSaeson-0.6.0.0-ghc7.0.4.so
[-]: MUST Static libraries in -static subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[!]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/share/doc/ghc-aeson-0.6.0.0
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint ghc-aeson-devel-0.6.0.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-aeson-0.6.0.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ghc-aeson-0.6.0.0-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/tmp/tmp/packaging/797706/aeson-0.6.0.0.tar.gz :
  MD5SUM this package     : 8e1030ad37a7537ec438a30b15da90e1
  MD5SUM upstream package : 8e1030ad37a7537ec438a30b15da90e1

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: ghc-aeson-0.6.0.0-1.fc18.i686.rpm :
     /usr/lib/ghc-7.0.4/aeson-0.6.0.0/libHSaeson-0.6.0.0-ghc7.0.4.so
[!]: MUST Changelog in prescribed format.
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/share/doc/ghc-aeson-0.6.0.0
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.


Generated by fedora-review 0.1.2
External plugins:

Can you remove the first changelog entry that was generated by cabal2spec? It has no release-version number.
Comment 4 Jens Petersen 2012-03-14 00:11:51 EDT
Ok thanks for posting the fedora-review output.

BTW I just tried with 0.1.3 and it gives only:

Issues:
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: ghc-aeson-0.6.0.0-1.fc18.i686.rpm :
     /usr/lib/ghc-7.0.4/aeson-0.6.0.0/libHSaeson-0.6.0.0-ghc7.0.4.so
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

As you can see ghc-aeson does include the license file so it
is false positive: maybe fedora-review only looks in the spec file?

The second one seems new to me and while valid generally I think
it can be waived here since ghc only created one single .so.
Indeed the SONAME of ghc shared libraries is the full filename.
In this context it might be more natural to write the filename
something like libHSaeson.so.0.6.0.0-ghc7.0.4.

Anyway this is obviously true for every ghc built shared library
already in Fedora so I suggest to waive this also since the
libraries are only used by ghc itself.
Comment 5 Shakthi Kannan 2012-03-14 00:38:46 EDT
Approved.
Comment 6 Jens Petersen 2012-03-15 04:09:40 EDT
Thank you for reviewing.


New Package SCM Request
=======================
Package Name: ghc-aeson
Short Description: Fast JSON parsing and encoding
Owners: petersen
Branches: f17 f16 el6
InitialCC: haskell-sig
Comment 7 Jon Ciesla 2012-03-15 08:39:18 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-03-16 04:27:20 EDT
ghc-aeson-0.6.0.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-aeson-0.6.0.0-1.fc17
Comment 9 Fedora Update System 2012-03-16 15:01:26 EDT
ghc-aeson-0.6.0.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Jens Petersen 2012-03-22 03:15:24 EDT
(In reply to comment #1)
> (Note the latest release requires newer text lib than in current F16 and
> earlier.

This also applies to aeson-0.5.0.0:

Data/Aeson/Encode.hs:30:8:
    Could not find module `Data.Text.Lazy.Builder.RealFloat':

which actually needs text > 0.11.1 (should be fixed in git).
Comment 11 Fedora Update System 2012-04-11 23:09:43 EDT
ghc-aeson-0.6.0.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.